/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\Devistation.cs
Lines of code: 39

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class Devistation : RadiantScimitar
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public Devistation()
	 	{
	 	 	Name = "Devastation";
	 	 	Hue = 1157;
			Attributes.WeaponDamage = 35;
			Attributes.WeaponSpeed = 35;
			WeaponAttributes.HitFireball = 30;
			WeaponAttributes.HitFireArea = 60; 
			WeaponAttributes.MageWeapon = 30;
			Attributes.SpellChanneling=1;
	 	}

	 	public Devistation(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 1 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}	
		
		public override void OnAfterLoad()
		{
			Misc.ObjectConverter.ConvertItem(this,new Devastation());
		}
	}
}
